> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/opombe-zebljicki/28.-mutacija-shrani-vec-notes-paketna-operacija.md).

# 28. Mutacija: shrani več "Notes", paketna operacija

Ta mutacija vam omogoča pripenjanje več Opomb k določenemu Polju.

{% hint style="success" %}
Največje število Opomb za shranjevanje je 25.
{% endhint %}

{% hint style="success" %}
Dodajte `uuid` atribut v vnos za posodobitev Opombe.
{% endhint %}

* Opomba je lahko povezana s Parcelo preko njenega edinstvenega identifikatorja `fieldUuid,`  k pripadajočemu SoilDataset preko `soilDatasetUuid`, v ZonesMap preko `vectorAnalysisMapUuid`.
* Koordinato Opombe lahko nastavite z uporabo `centroid` atributa, kar zahteva določene `zgeografska širina` in `zemljepisna dolžina` vrednosti.&#x20;
* Tip Opombe lahko določite z uporabo `vrsta` atributa z dopustnimi vrednostmi `NAČRTOVANO` ali `RESNIČNO`.&#x20;
* Opis Opombe lahko podate z uporabo `komentar` atributa. Če opis potrebuje več vrstic, `komentar` vsebuje niz z znaki za novo vrstico `\\n` za ločevanje vrstic. Na primer: `"Prva vrstica je tukaj\\nDruga vrstica je tukaj.\\nTretja vrstica je tukaj."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Batch save: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch update: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch save: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch save: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    datumUstvarjanja
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/opombe-zebljicki/28.-mutacija-shrani-vec-notes-paketna-operacija.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
